All Good Things Must Come To An End

As you all know, I have been doing WordPress plugins and supporting it for the past 6 years. These 6 years of my life, I have been through my polytechnic education, my national service as well as my university education.

I just graduated from university in December 2009 and have been looking for full-time jobs. I am offered a full-time job and will be starting work on 1st February 2010.

I regret to say that I am NOT ABLE to provide support for my plugins anymore due to my full-time job commitment. I will leave this forum open and let the community help one another.

However, I WILL still update my plugins whenever I can and you still can report bugs to me via email and I will try to fix it.

Author Topic: regarding compatibility of your plugins with phpspeedy  (Read 7622 times)

0 Members and 1 Guest are viewing this topic.

Offline ovizii

  • Jr. Member
  • **
  • Posts: 67
    • View Profile
just wondering if you tested your plugins for compatibility with this plugin: http://aciddrop.com/2008/07/15/php-speedy-wp-version-047-works-with-wp26/

its a very nice addition.
I had to exclude some of your plugin files for it to work, but maybe you could check yourself?

Offline GaMerZ

  • lesterchan.net
  • Administrator
  • *****
  • Posts: 11,692
    • View Profile
  • WordPress Version: WordPress 3.0.x
  • Theme Name: lesterchan.net v3.4
Re: regarding compatibility of your plugins with phpspeedy
« Reply #1 on: 30 October 2008, 10:33 »
Normally my plugins are not tested with any other plugins beside my own as I don't use them personally. It is quite time consuming to check for plugin compatibility as it requires time and effort to study the other plugin source code

++ lesterchan.net - Lester Chan's Website

I regret to say that I am not able to provide support for my plugins anymore due to my full-time job commitment. I will leave this forum open and let the community help one another.

Offline ovizii

  • Jr. Member
  • **
  • Posts: 67
    • View Profile
Re: regarding compatibility of your plugins with phpspeedy
« Reply #2 on: 30 October 2008, 10:38 »
I understand your reply, and fully agree.
I was just hoping, you'd use that plugin too :-)

well then, I'll have to exclude your plugins from that other plugin, no problem.

btw. the speedy plugin does compress all .js and .css files into 2 files, helping with the placements and the number of files being loaded...

Offline GaMerZ

  • lesterchan.net
  • Administrator
  • *****
  • Posts: 11,692
    • View Profile
  • WordPress Version: WordPress 3.0.x
  • Theme Name: lesterchan.net v3.4
Re: regarding compatibility of your plugins with phpspeedy
« Reply #3 on: 30 October 2008, 10:41 »
I see, because I think the reason why it will not work as my plugins Javascript is already compressed by its own.

++ lesterchan.net - Lester Chan's Website

I regret to say that I am not able to provide support for my plugins anymore due to my full-time job commitment. I will leave this forum open and let the community help one another.

Offline ovizii

  • Jr. Member
  • **
  • Posts: 67
    • View Profile
Re: regarding compatibility of your plugins with phpspeedy
« Reply #4 on: 30 October 2008, 11:10 »
I know, I noticed the filename...
nevertheless speedy is great even if it doesn't compress your plugins, as instead of my page loading maybe 20 .,js filesm it only loads one, even if the size is the same this solution is still preferable... and it places .js low on the site and .css in the header.

you shoudl check that plugin out, even if you're not gonna modify your plugins, as it is a good plugin to have around :-)

Offline GaMerZ

  • lesterchan.net
  • Administrator
  • *****
  • Posts: 11,692
    • View Profile
  • WordPress Version: WordPress 3.0.x
  • Theme Name: lesterchan.net v3.4
Re: regarding compatibility of your plugins with phpspeedy
« Reply #5 on: 30 October 2008, 12:45 »
Actually you can try to load the uncompressed version, for example in wp-email.php

Code: [Select]
wp_register_script('wp-email', plugins_url('wp-email/email-js-packed.js'), false, '2.31');
You can replace "email-js-packed.js" with "email-js.js and that will load the uncompressed version.

++ lesterchan.net - Lester Chan's Website

I regret to say that I am not able to provide support for my plugins anymore due to my full-time job commitment. I will leave this forum open and let the community help one another.